import processing.video.*;

MovieMaker mm;
int x = 0;
int y = 0;
int radius = 0;
float damping = 0.0;
float gravity = 0.0;
float friction = 0.0;
float speedX = 0.0;
float speedY = 0.0;
color paintColor;

void setup() {
  size(400, 400);
  x = width / 2;
  radius = 50;
  fill(0);
  speedX = 4;
  gravity = 0.5;
  damping = 0.8;
  friction = 0.9;
  smooth();
  mm = new MovieMaker(this, width, height, "ball_animation.mov");
}

void draw() {
  fill(0);
  rect(0,0,width,height);
  
  fill(0,0,255);
  ellipse(x, y, radius, radius);
  x+=speedX;
  speedY+=gravity;
  y+=speedY;
  // display window edge detection
  if(x > width - (radius/2)) {
    x = width - (radius / 2);
    speedX*=-1;
  } else if (x < 0) {
    x = 0;
    speedX*=-1;
  } else if(y > height - (radius / 2)) {
    y = height - (radius / 2);
    speedY*=-1;
    speedY*=damping;
    speedX*=friction;
  } else if(y < 0) {
    y = 0;
    speedY*=-1;
  }
  mm.addFrame();
}

void keyPressed() {
  if (key == ' ') {
    mm.finish();
    exit();
  }
}


